{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- Back Button -->
                {% include "home/inc/back_btn.html" %}
                <!-- Back Button -->

                <!-- Display the errors -->
                {% include "home/inc/messages.html" %}
                <!-- Display the errors -->
                <section id='update-home-details-wrapper' class="mt-5">
                    <!-- Start Auction name -->
                    <section id="auction-name" class="m-5">
                        <div class="card"
                            style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                            <div class="card-header">
                                {% trans "Auction Name" %}
                            </div>
                            <div class="card-body">
                                <h5 class="card-title">{{object.name}}</h5>
                            </div>
                        </div>
                    </section>
                    <!-- End Auction name -->

                    <!-- Start Prices -->
                    <section id='auction-prices-block' class='my-5'>
                        <div class="container">
                            <div class="row">
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Initial Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                ${{object.initial_price}}
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Minimum Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                ${{object.min_price}}
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Max Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                ${{object.max_price}}
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Current Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                {% if max_bid.current_price__max != None %}
                                                ${{max_bid.current_price__max}}
                                                {% else %}
                                                $0
                                                {% endif %}

                                            </h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- End Prices -->

                    <section id='auction-form-block' class="my-4 container-fluid">
                        <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" value="{{object.pk}}" name="auction_id" />
                            <div class="form-group row">
                                <label for="auction_price"
                                    class="col-sm-3 col-form-label position-relative text-white font-weight-bold"
                                    style="top: 14px; font-size: 13px;">
                                    {% trans "Enter The Auction" %}
                                </label>
                                <div class="col-sm-7 pt-3">
                                    <input class="form-control bg-website-color text-white" type="number"
                                        name='auction_price' id="auction_price" />
                                </div>
                                <div class="col-sm-1 pt-3">
                                    <button class="art-btn btn-sm art-btn-md art-submit custom-button" type="submit">
                                        <span>{% trans "Enter" %}</span>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </section>

                    <section id="all-bids-table">
                        <table class="table table-dark table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">
                                        {% trans "User" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Minimum Price" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Maximum Price" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Paid Price" %}
                                    </th>

                                </tr>
                            </thead>
                            <tbody>
                                {% for bid in bids %}
                                {% if bid.current_price > object.max_price and bid.status == False %}
                                <tr style="background-color: rgba(255, 127, 141, 0.4);" data-toggle="tooltip"
                                    title="{% trans 'This bid is holding until admin approve it' %}">
                                    <th scope="row">
                                        {{bid.member.name}}
                                    </th>
                                    <td>
                                        <b>
                                            ${{object.min_price}}
                                        </b>
                                    </td>
                                    <td>
                                        <b>
                                            ${{object.max_price}}
                                        </b>


                                    </td>
                                    <td>
                                        <b>
                                            ${{bid.current_price}}
                                        </b>
                                    </td>

                                </tr>
                                {% else %}
                                <tr>
                                    <th scope="row">
                                        {{bid.member.name}}
                                    </th>
                                    <td>
                                        <b>
                                            ${{object.min_price}}
                                        </b>
                                    </td>
                                    <td>
                                        <b>
                                            ${{object.max_price}}
                                        </b>


                                    </td>
                                    <td>
                                        <b>
                                            ${{bid.current_price}}
                                        </b>
                                    </td>

                                </tr>
                                {% endif %}

                                {% empty %}
                                <tr>
                                    <td colspan="4">
                                        <div class="alert alert-danger" role="alert">
                                            {% trans "No bids on this auction yet" %}
                                        </div>
                                    </td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </section>
                </section>

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}